From d448735b51bcb3900dac0e3dda88267bb7535871 Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jan 03 2018 07:44:47 +0000
Subject: [PATCH 7/7] Disable to request boot.iso compose


When merging code to request boot.iso compose, we realized that boot.iso
compose support is not deployed in ODCS server. So, this commit is for
disabling the request at this moment for a while. Revert when the
support is availabe in ODCS server.

Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/freshmaker/handlers/errata/errata_advisory_rpms_signed.py b/freshmaker/handlers/errata/errata_advisory_rpms_signed.py
index 9e75519..1b0f81f 100644
--- a/freshmaker/handlers/errata/errata_advisory_rpms_signed.py
+++ b/freshmaker/handlers/errata/errata_advisory_rpms_signed.py
@@ -543,22 +543,24 @@ class ErrataAdvisoryRPMsSignedHandler(ContainerBuildHandler):
                 db.session.commit()
                 build.add_composes(db.session, [db_compose])
 
-                if image.is_base_image:
-                    compose = self._request_boot_iso_compose(image)
-                    if compose is None:
-                        log.error(
-                            'Failed to request boot.iso compose for base '
-                            'image %s.', nvr)
-                        build.transition(
-                            ArtifactBuildState.FAILED.value,
-                            'Cannot rebuild this base image because failed to '
-                            'requeset boot.iso compose.')
-                        # FIXME: mark all builds associated with build.event FAILED?
-                    else:
-                        db_compose = Compose(odcs_compose_id=compose['id'])
-                        db.session.add(db_compose)
-                        db.session.commit()
-                        build.add_composes(db.session, [db_compose])
+                # TODO: uncomment following code after boot.iso compose is
+                # deployed in ODCS server.
+#                if image.is_base_image:
+#                    compose = self._request_boot_iso_compose(image)
+#                    if compose is None:
+#                        log.error(
+#                            'Failed to request boot.iso compose for base '
+#                            'image %s.', nvr)
+#                        build.transition(
+#                            ArtifactBuildState.FAILED.value,
+#                            'Cannot rebuild this base image because failed to '
+#                            'requeset boot.iso compose.')
+#                        # FIXME: mark all builds associated with build.event FAILED?
+#                    else:
+#                        db_compose = Compose(odcs_compose_id=compose['id'])
+#                        db.session.add(db_compose)
+#                        db.session.commit()
+#                        build.add_composes(db.session, [db_compose])
 
                 builds[nvr] = build
 
diff --git a/tests/test_errata_advisory_state_changed.py b/tests/test_errata_advisory_state_changed.py
index 23059d6..d32ea61 100644
--- a/tests/test_errata_advisory_state_changed.py
+++ b/tests/test_errata_advisory_state_changed.py
@@ -1017,6 +1017,7 @@ class TestRecordBatchesImages(unittest.TestCase):
         self.assertEqual(parent_image, child_image.dep_on)
         self.assertEqual(ArtifactBuildState.PLANNED.value, child_image.state)
 
+    @unittest.skip('Enable again when enable to request boot.iso compose')
     def test_pulp_compose_is_stored_for_each_build(self):
         batches = [
             [ContainerImage({

